# BEGIN SourceDeps(oneline):
BuildRequires(pre): rpm-build-python
# END SourceDeps(oneline)
%define oldname python-exif

%global oname exif-py

Summary:        Python module to extract EXIF information
Name:           python-module-exif
# Remember to update setup.py
Version:        1.1.0
Release:        alt1_1
License:        BSD
Group:          Development/Python
URL:            https://github.com/ianare/exif-py
Source0:        http://downloads.sourceforge.net/exif-py/EXIFpy_%{version}.tar.gz
Source1:        setup.py
Source2:        EXIF
BuildArch:      noarch
BuildRequires:  python-devel
Source44: import.info

%description
Python Library to extract EXIF information in digital camera image files

%prep
%setup -q -n EXIFpy_%{version}
%{__cp} %{SOURCE1} .
%{__cp} %{SOURCE2} .
%{__chmod} 0644 EXIF.py
%{__sed} -e "/^# ----- See 'changes.txt'/q" EXIF.py > COPYING
%{__chmod} 0644 COPYING

%build
CFLAGS="%{optflags}" %{__python} setup.py build

%install
%{__python} setup.py install -O1 --skip-build --root %{buildroot}
%{__chmod} 0755 %{buildroot}%{python_sitelibdir_noarch}/EXIF.py

%files
%doc COPYING README.md changes.txt
%{_bindir}/EXIF
%{python_sitelibdir_noarch}/EXIF*

%changelog
* Sat Jan 05 2013 Igor Vlasenko <viy@altlinux.ru> 1.1.0-alt1_1
- initial fc import

